function init(hero) {
    hero.setName("Mr Negative(PS4)");
    hero.setTier(5);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("fiskheroes:retractable_blade", "fiskheroes:energy_blast", "fiskheroes:geokinesis");
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 2.5, 0);
    
    hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("BLADE", "key.blade", 2);
	hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 3);
    
    hero.addAttributeProfile("BLADE", bladeProfile);
    hero.supplyFunction("canAim", canAim);
    hero.setRuleValueModifier(ruleModifier);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setHasProperty(hasProperty);
}

function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 10.5, 0);
    profile.addAttribute("JUMP_HEIGHT", 3.5, 0);
    profile.addAttribute("FALL_RESISTANCE", 9.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}

function canAim(entity) {
    return true;
}

function ruleModifier(entity, rule) {
    if (rule.name() == "fiskheroes:cooldown_energyblast") {
        return 23.5;
    }
    else if (rule.name() == "fiskheroes:dmg_laserbolt") {
        return 5.0;
    }
    return null;
}